package com.kdanmobile.reader

import com.kdanmobile.reader.thumb.PdfThumbViewModel
import org.koin.android.viewmodel.ext.koin.viewModel
import org.koin.dsl.module.module

object KoinModule {
    val m = module {
        single { ReaderModelManager() }
        viewModel { ReaderViewModel(
                get(),
                Config.PDF_SDK_LICENSE,
                Config.PDF_SDK_RSA_MSG
        ) }
        viewModel { (readerModel : ReaderModel) -> PdfThumbViewModel(readerModel) }
    }
}